<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content__item content__item--border bg__content--default">

    <form nz-form [formGroup]="form">
        <div nz-row [nzGutter]="[30,30]">

            <div nz-col nzXs="24" nzLg="12">
                <mb-select [mbDataSelects]="scopeSelects" mbKeyLabel="label" mbKeyValue="value" [mbShowClear]="false"
                    (mbSelect)="onChangeScope()" mbPlaceholder="{{'partnership.pns-contract.label.scope' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.scope' | translate}} <span class='label__required'>*</span>"
                    formControlName="scope"></mb-select>
            </div>
            <div nz-col nzXs='24' nzLg='12' *ngIf="form.value.scope==1">
                <org-data-picker [scope]="scope" [functionCode]="functionCode"
                    mbLabelText="{{'partnership.workHisInformation.label.attributes.organization' | translate}} <span class='label__required'>*</span>"
                    [mbType]="isSubmitted && form.controls['org'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['org'].errors != null"
                    [mbErrors]="form.controls['org'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.workHisInformation.label.attributes.organization' | translate }}]"
                    formControlName='org'>
                </org-data-picker>
            </div>
            <div nz-col nzXs='24' nzLg='12' *ngIf="form.value.scope!=1">
                <mb-select [mbDataSelects]="orgGroupSelects" mbKeyLabel="label" mbKeyValue="value"
                    [mbType]="isSubmitted && form.controls['org'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['org'].errors != null"
                    [mbErrors]="form.controls['org'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.workHisInformation.label.attributes.organization' | translate }}]"
                    mbPlaceholder="{{'partnership.pns-contract.label.orgGroup' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.orgGroup' | translate}} <span class='label__required'>*</span>"
                    formControlName="org"></mb-select>
            </div>



            <div nz-col nzXs='24' nzLg='12'>
                <mb-select [mbDataSelects]='empTypeSelect' [mbKeyLabel]="'label'" [mbKeyValue]="'value'"
                    formControlName='empTypeCode' [mbKeyValueStringType]="true"
                    [mbType]="isSubmitted && form.controls['empTypeCode'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['empTypeCode'].errors != null"
                    [mbErrors]="form.controls['empTypeCode'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.pns-contract.label.subject' | translate }}]"
                    mbPlaceholder="{{'partnership.pns-contract.label.subject' | translate }}"
                    mbLabelText="{{'partnership.pns-contract.label.subject' | translate}} <span class='label__required'>*</span>">
                </mb-select>
            </div>

            <div nz-col nzXs='24' nzLg='12'>
                <mb-select [mbKeyValueStringType]="true" mbPlaceholder="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                           [mbDataSelects]='positionGroupList' mbLabelText="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                           formControlName='positionGroupId'>
                </mb-select>
            </div>


            <div nz-col nzXs='24' nzLg='12'>
                <mb-date-picker formControlName="fromDate"
                    mbLabelText="{{'partnership.label.fromDate' | translate}} <span class='label__required'>*</span>"
                    [mbType]="isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['fromDate'].errors != null"
                    [mbErrors]="form.controls['fromDate'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.label.fromDate' | translate }}]"
                    mbPlaceholderText="{{'partnership.label.fromDate' | translate}}"></mb-date-picker>
            </div>

            <div nz-col nzXs='24' nzLg='12'>
                <mb-date-picker formControlName="toDate" mbLabelText="{{'partnership.label.toDate' | translate}}"
                    [mbType]="isSubmitted && form.controls['toDate'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['toDate'].errors != null"
                    [mbErrors]="form.controls['toDate'].errors"
                    [mbErrorDefs]="[{ errorName: 'toDateNotAfterFromDate', errorDescription: 'partnership.pns-contract.msg.toDateNotAfterFromDate' | translate: {'param': 'partnership.label.toDate' | translate }}]"
                    mbPlaceholderText="{{'partnership.label.toDate' | translate}}"></mb-date-picker>
            </div>


            <div nz-col nzXs='24' nzLg='12'>
                <mb-input-text [mbMaxLength]="255" mbPlaceholderText="{{'partnership.pns-contract.label.documentNumber' | translate}}"
                               mbLabelText="{{'partnership.pns-contract.label.documentNumber' | translate}} <span class='label__required'>*</span>"
                               [mbType]="isSubmitted && form.controls['documentNo'].errors ? 'error' : 'default'"
                               [mbShowError]="isSubmitted && form.controls['documentNo'].errors != null"
                               [mbErrors]="form.controls['documentNo'].errors" [mbErrorDefs]="[
                { errorName: 'required', errorDescription: 'partnership.pns-contract.label.documentNumber' | translate: {'param': 'partnership.pns-contract.label.documentNumber' | translate }}
                ,{ errorName: 'maxlength', errorDescription: 'partnership.pns-contract.label.documentNumber' | translate: {'numberLength': 255} }
                ]" formControlName="documentNo">
                </mb-input-text>
            </div>



            <div nz-col nzXs="24" nzLg="12">
                <mb-input-text mbPlaceholderText="{{'partnership.pns-contract.label.note' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.note' | translate}}" formControlName="note"></mb-input-text>
            </div>

            <div nz-col nzXs="24" nzLg="24" class="datepicker__group">
                <label class="input__label">{{'partnership.pns-contract.label.seqContract' | translate}} <span class='label__required'>*</span></label>
                <nz-table [nzData]="data" [nzShowPagination]="false">
                    <thead>
                    </thead>
                    <tbody>
                        <tr *ngFor="let form of detail.controls; let rowIndex=index">

                            <td>{{ rowIndex + 1 }}</td>
                            <td>
                                <mb-select [mbDataSelects]="contractTypeSelects" mbKeyLabel="name"
                                    mbKeyValue="contractTypeId"
                                    [mbType]="isSubmitted && form.errors ? 'error' : 'default'"
                                    [mbShowError]="isSubmitted && form.errors !== null" [mbErrors]="form.errors"
                                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.pns-contract.label.typeOfcontract' | translate }}]"
                                    mbPlaceholder="{{'partnership.pns-contract.label.typeOfcontract' | translate}}"
                                    [formControl]="$any(form)"></mb-select>
                            </td>
                            <td>
                                <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME"
                                    (click)="doDelete(rowIndex)" mbPrefixIcon="fal fa-trash-alt"></mb-button>
                                <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME"
                                    mbPrefixIcon="far fa-plus-circle" (click)="addRow()"></mb-button>
                            </td>
                        </tr>
                    </tbody>
                </nz-table>
            </div>

        </div>
    </form>

</div>
